## jifmux jifmux — JPEG interchange format writer |

## Types and Values

struct | GstJifMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstJifMux

## Implemented Interfaces

GstJifMux implements GstTagSetter and GstTagXmpWriter.

## Description

Writes a JPEG image as JPEG/EXIF or JPEG/JFIF including various metadata. The jpeg image received on the sink pad should be minimal (e.g. should not contain metadata already).

#### Example launch line

    1
    gst-launch-1.0 -v videotestsrc num-buffers=1 ! jpegenc ! jifmux ! filesink location=...

The above pipeline renders a frame, encodes to jpeg, adds metadata and writes it to disk.

## Synopsis

### Element Information

plugin | jpegformat
author | Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
class | Video/Formatter

### Element Pads

name | sink
direction | sink
presence | always
details | image/jpeg

name | src
direction | source
presence | always
details | image/jpeg

## Functions

## Types and Values

### struct GstJifMux

    struct GstJifMux;